4 Replies Latest reply on Nov 28, 2009 6:09 PM by henk de boer

    Jboss AS 5.0.1 clients libs with 5.1 server?

    henk de boer Master

      Hi,

      I'm looking for some information whether the Jboss AS 5.0.1 client libs are compatible with a Jboss AS 5.1 server.

      I found a compatibility matrix here: http://www.jboss.org/community/wiki/JBossVersionCompatibilityMatrix

      but Jboss AS 5.x is not included. Now I vaguely remember having seen a matrix somewhere that did include Jboss AS 5.x, but after searching for a long time, I was unable to find this.

      Is there a compatibility matrix somewhere that includes Jboss AS 5.x?

        • 1. Re: Jboss AS 5.0.1 clients libs with 5.1 server?
          jaikiran pai Master

           

          "henk53" wrote:

          Now I vaguely remember having seen a matrix somewhere that did include Jboss AS 5.x, but after searching for a long time, I was unable to find this.

          Is there a compatibility matrix somewhere that includes Jboss AS 5.x?


          I don't remember seeing such a wiki.

          • 2. Re: Jboss AS 5.0.1 clients libs with 5.1 server?
            henk de boer Master

             

            "jaikiran" wrote:
            "henk53" wrote:

            Now I vaguely remember having seen a matrix somewhere that did include Jboss AS 5.x, but after searching for a long time, I was unable to find this.

            Is there a compatibility matrix somewhere that includes Jboss AS 5.x?


            I don't remember seeing such a wiki.


            Okay, as I said I remembered it only vaguely. Apparently it thus was something else that I saw with Jboss 5.x on it.

            I just did some testing and it seems the Jboss AS 5.0.1 client libs might not be compatible with a Jboss AS 5.1 server. I get the following exception in client code when accessing a remote EJB bean deployed on a Jboss AS 5.1 server, which works perfectly fine on a Jboss AS 5.0.1 server.

            java.lang.ClassCastException: javax.naming.Reference cannot be cast to com.example.TestBean
            


            Where TestBean is a normal remote interface for a SSB.

            As this concerns a real-life clien app which includes many other libs (including the Hibernate and Jboss Cache libs, which often conflict with the Jboss client libs), my next move will be testing with a very simple hello world type app.

            • 3. Re: Jboss AS 5.0.1 clients libs with 5.1 server?
              jaikiran pai Master

               

              I just did some testing and it seems the Jboss AS 5.0.1 client libs might not be compatible with a Jboss AS 5.1 server. I get the following exception in client code when accessing a remote EJB bean deployed on a Jboss AS 5.1 server

              There was some EJB3 proxy refactoring done, which i think is causing this issue. EJB3 calls between 5.0.1 and 5.1.0 is not compatible.

              • 4. Re: Jboss AS 5.0.1 clients libs with 5.1 server?
                henk de boer Master

                 

                "jaikiran" wrote:
                I just did some testing and it seems the Jboss AS 5.0.1 client libs might not be compatible with a Jboss AS 5.1 server. I get the following exception in client code when accessing a remote EJB bean deployed on a Jboss AS 5.1 server

                There was some EJB3 proxy refactoring done, which i think is causing this issue. EJB3 calls between 5.0.1 and 5.1.0 is not compatible.


                Thanks for the confirmation jaikiran. At least now I know I didn't had something wrongly configured. Maybe it's an idea if someone could update the wiki? I guess there'll be others who eventually stumble on the same problem.